%define upstream_name    Time-Out
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Easily timeout long running operations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
'Time::Out' provides an easy interface to _alarm(2)_ based timeouts. Nested
timeouts are supported.

RETURN VALUE
    'timeout' returns whatever the code placed inside the block returns:

      use Time::Out qw(timeout) ;
    
      my $rc = timeout 5 => sub {
    	return 7 ;
      } ;
      # $rc == 7

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.110.0-6.mga9
+ Revision: 1806481
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-5.mga8
+ Revision: 1497889
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-4.mga7
+ Revision: 1272378
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1035300
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 949938
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 0.110.0-1.mga5
+ Revision: 791862
- imported package perl-Time-Out


* Sun Oct 19 2014 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
